Package org.apache.sling.models.impl.model

# Class ModelClass<ModelType>

java.lang.Object
org.apache.sling.models.impl.model.ModelClass<ModelType>

public class ModelClass<ModelType> extends Object

## Constructor Summary

Constructors
Constructor
Description
`ModelClass(Class<ModelType> type, org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory[] processorFactories)`

## Method Summary

Modifier and Type
Method
Description
`ModelClassConstructor<ModelType>[]`
`getConstructors()`
`InjectableField[]`
`getInjectableFields()`
`InjectableMethod[]`
`getInjectableMethods()`
`org.apache.sling.models.annotations.Model`
`getModelAnnotation()`
`Class<ModelType>`
`getType()`
`boolean`
`hasModelAnnotation()`
`void`
`updateProcessorFactories(org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory[] processorFactories)`
Updates processor factories after the model class was instantiated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelClass

public ModelClass(Class<ModelType> type, org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory[] processorFactories)

## Method Details

### updateProcessorFactories

public void updateProcessorFactories(org.apache.sling.models.spi.injectorspecific.StaticInjectAnnotationProcessorFactory[] processorFactories)
Updates processor factories after the model class was instantiated.

Parameters:
  `processorFactories` - Static injector annotation processor factories

### getType

public Class<ModelType> getType()

### getModelAnnotation

public org.apache.sling.models.annotations.Model getModelAnnotation()

### hasModelAnnotation

public boolean hasModelAnnotation()

### getConstructors

public ModelClassConstructor<ModelType>[] getConstructors()

### getInjectableFields

public InjectableField[] getInjectableFields()

### getInjectableMethods

public InjectableMethod[] getInjectableMethods()